Sent Document Overviews¶
Sent document overviews¶
This call lists the document overviews (e.g. reminders) that were sent to the debtor.
Swagger Page¶
Permission / Auth¶
Bearer token with collection scope (read).
Header: Authorization: Bearer <token>
Query Parameters¶
| Name | In | Required | Type | Description |
|---|---|---|---|---|
companyId |
query | No | string | Optional parameter to filter on a specific company. Ignored when "cursor" is provided. Fetch the list of available companies from the "/companies" endpoint. |
modifiedSince |
query | No | string (date-time) | Optional parameter to filter the data on modification date. Ignored when "cursor" is provided. All data with "modified at date" greater or equal than the provided date will be returned. The date should be in RFC 3339 format (e.g. "2000-01-21T13:40:30+02:00"). |
cursor |
query | No | string | Optional parameter that allows you to retrieve the next batch of a request. When provided, the "companyId" and "modifiedSince" parameters will be ignored. See "Fetching data incrementally in batches" for more info. |
Example Request¶
curl -X GET 'https://{your-collections-platform-host}/api/v1/sent-document-overviews' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <token>'
Example Response¶
{
"data": [
{
"id": 1,
"created_at": "2024-01-15T12:00:00+00:00",
"modified_at": "2024-01-15T12:00:00+00:00",
"debtor_id": 1,
"action": "string",
"document_set_id": 1,
"template_name": "string"
}
],
"next_batch_url": null,
"next_batch_cursor": null,
"resume_url": "https://{your-collections-platform-host}/api/v1/example?cursor=opaque-resume-cursor",
"resume_cursor": "opaque-resume-cursor"
}
Batch envelope¶
| Field | Description |
|---|---|
data |
Array of entities in this batch (max 100). |
next_batch_cursor / next_batch_url |
Pass cursor on the next request until empty. |
resume_cursor / resume_url |
Available when the full set is exhausted; use later for incremental sync. |
SentDocumentOverview fields¶
| Field | Type | Description |
|---|---|---|
id |
integer (int64) | Internal BT Collections ID of the sentdocument |
created_at |
string (date-time) | The time this sentdocument is created. |
modified_at |
string (date-time) | The time this sentdocument is modified. |
debtor_id |
integer (int64) | Internal BT Collections ID of the debtor for which this sentdocument was created. |
action |
string | The taken action that caused the generation of this SentDocument. |
document_set_id |
integer (int64) | Internal BT Collections ID of the documentset used to create this SentDocument. |
template_name |
string | The name of the template used to create this SentDocument |